2009-07-04 13:51  upi

	* bin/Makefile.am, data/tutorial1, data/tutorial2, data/tutorial3,
	  data/tutorial4, data/tutorial5, data/tutorial6: New tutorials for
	  version 0.13.

2009-07-04 13:25  upi

	* bin/vacuum.pl, configure.in, data/demo.txt,
	  data/music/Makefile.am: New demo.
	  Bumped version number to 0.13.

2009-07-04 13:24  upi

	* bin/game.pl: Bugfix for WipeOut playback.

2009-07-04 13:23  upi

	* bin/spawner.pl: Spawn fewer koules at a time.

2009-07-04 13:23  upi

	* bin/boss.pl: Tweaks for Papa Koules and WipeOut.

2009-07-04 13:23  upi

	* bin/Makefile.am: Fix for linux build system.

2009-07-04 13:22  upi

	* bin/translate_es.pl, bin/translate_pl.pl: Translation update.

2009-07-04 04:50  upi

	* bin/background.pl, bin/level.pl, bin/vacuum.pl: Rearranged levels
	  to fit the new trial and boss.

2009-07-03 11:42  upi

	* bin/boss.pl, bin/game.pl, bin/gameobject.pl, bin/graphics.pl,
	  bin/level.pl, bin/recorder.pl, bin/spawner.pl, bin/sprite.pl,
	  bin/vacuum.pl, data/Makefile.am, data/enemy.png,
	  data/papakoules.png: Added new enemy: Koules.
	  Added new desert background.
	  Added new area trial: Wipe Out.
	  Added new boss: Papa Koules.

2009-07-03 11:22  upi

	* bin/background.pl, data/desert.png: New desert background.

2009-06-28 12:30  upi

	* bin/movie.pl, bin/recorder.pl: Added resume capability to movie
	  creator code.

2009-06-28 08:44  upi

	* bin/gameobject.pl, bin/tutorial.pl: Some explanatory text for the
	  tutorials.

2009-06-28 08:43  upi

	* bin/background.pl: Small tweak for the forest background.

2009-06-28 07:22  upi

	* data/demo.txt: New demo for 0.12

2009-06-28 06:02  upi

	* bin/gameobject.pl, bin/level.pl, bin/tutorial.pl, bin/vacuum.pl,
	  configure.in, data/Makefile.am, data/tutorial1, data/tutorial2,
	  data/tutorial3, data/tutorial4, data/tutorial5, data/tutorial6:
	  More tutorials.
	  Bumped version number to 0.12

2009-06-28 06:00  upi

	* bin/menu.pl: Minor tweaks to the menu.

2009-06-28 03:23  upi

	* bin/config.pl, bin/menu.pl, bin/vacuum.pl: Players are advised to
	  try the tutorial before trying the "real" game modes.

2009-06-28 03:23  upi

	* bin/gameobject.pl: More enemies can be used as projectiles.

2009-06-28 03:22  upi

	* bin/recorder.pl, bin/tutorial.pl: Code cleanup.

2009-06-28 02:23  upi

	* bin/event.pl, bin/graphics.pl, bin/menu.pl, bin/vacuum.pl:
	  Viewport is adjusted when the window is resized.
	  Tutorial menu added.

2009-06-27 14:48  upi

	* bin/background.pl, bin/graphics.pl, bin/vacuum.pl,
	  data/Makefile.am, data/ancient_forest.png,
	  data/ancient_forest2.png, data/ancient_forest3.png: Created
	  forest background.

2009-06-27 14:46  upi

	* bin/game.pl: Bugfix for previous commit.

2009-06-27 09:03  upi

	* bin/game.pl, bin/gameobject.pl, bin/level.pl, bin/movie.pl,
	  bin/player.pl, bin/recorder.pl, bin/sprite.pl, bin/tutorial.pl,
	  data/enemy.png, data/tutorial1, data/tutorial2, data/tutorial3:
	  Created initial game tutorial.

2009-06-27 09:01  upi

	* bin/config.pl, bin/graphics.pl, bin/menu.pl, bin/vacuum.pl:
	  Initial support for changable screen resolution.

2009-06-21 07:47  upi

	* bin/gameobject.pl, bin/sprite.pl, bin/vacuum.pl: Minor tweaks.

2009-06-21 07:46  upi

	* bin/Texture.pm: Added ability to unload/reload all textures.

2009-06-21 04:42  upi

	* bin/background.pl, bin/boss.pl, bin/event.pl, bin/game.pl,
	  bin/gameobject.pl, bin/level.pl, bin/menu.pl: Made the game
	  resolution independent, ready for configurable screen size.

2009-06-03 12:35  upi

	* bin/gameobject.pl, bin/sprite.pl, data/enemy.png: New appearance
	  of food.

2009-03-30 14:17  upi

	* configure.in: Bumped version number.

2009-03-30 14:16  upi

	* bin/level.pl: Bugfix for bug in QuickGame.

2009-03-29 09:12  upi

	* bin/level.pl: Created QuickGame for videos.

2009-03-29 09:10  upi

	* bin/boss.pl: Lava is now immune to the fireshield.

2009-03-29 09:10  upi

	* bin/menu.pl: Minor tweak for menu.

2009-03-28 23:09  upi

	* bin/boss.pl, bin/gameobject.pl, bin/sprite.pl, data/bonus.png:
	  Created Fire Shield, the strongest powerup ever.
	  
	  Created special effect for hit bullseye.

2009-03-28 23:08  upi

	* bin/game.pl, bin/level.pl, bin/player.pl, bin/recorder.pl,
	  bin/sound.pl: &::PlaySound replaced by $Game->PlaySound to better
	  handle the same sound effect played multiple times in the same
	  game advance.
	  
	  Minor gameplay tweak: boss levels clean up the balls at the end.

2009-03-28 23:00  upi

	* data/music/1352-nomorenoise.mod, data/music/hymnof.xm: Better
	  looping for some modules.

2009-03-28 09:24  upi

	* bin/sound.pl, data/music/hymnof.xm: New music for halloween
	  level.

2009-03-27 21:08  upi

	* bin/gameobject.pl: If the player is hit while he's frozen AND he
	  had an invincibility bubble, the ice melts.

2009-03-27 12:42  upi

	* bin/vacuum.pl: Bugfix: Player keys are now correctly loaded.

2009-03-27 12:41  upi

	* bin/level.pl: Nightmare flight no longer shows negative levels.

2009-03-27 11:08  upi

	* bin/background.pl: Little more tweaking for the Halloween
	  background.

2009-03-27 11:05  upi

	* bin/gameobject.pl: Bullseyes are now more precise.

2009-03-26 23:36  upi

	* bin/Texture.pm, bin/background.pl, bin/graphics.pl,
	  data/Makefile.am, data/halloween1.png, data/halloween2.png,
	  data/halloween3.png, data/halloween4.png,
	  data/halloween_moon1.png, data/halloween_moon2.png: Added
	  Halloween background.

2009-03-26 23:35  upi

	* bin/boss.pl: Trial by Fire area has lava, just like Gravity.

2009-03-21 14:30  upi

	* bin/boss.pl: The RoboWitch boss now spawns a bunch of bats when
	  hit.
	  The Bomber boss throws weaker bombs (smaller explosive radius).

2009-03-21 14:27  upi

	* bin/gameobject.pl: Bombs now have a configurable explosive
	  radius.
	  There's a new visual effect that demonstrates that radius.

2009-03-21 14:24  upi

	* bin/graphics.pl: Made the ScoreFont denser, so more digits can be
	  displayed.

2009-03-21 14:23  upi

	* bin/level.pl: Miscellaneous minor bugfixes.

2009-03-21 14:21  upi

	* bin/vacuum.pl: Small refactoring: Extracted &ExecuteGame from
	  &MainLoop.

2009-03-08 15:49  upi

	* data/demo.txt: Demo for version 0.10

2009-03-08 14:25  upi

	* bin, bin/boss.pl, bin/game.pl, bin/gameobject.pl,
	  bin/graphics.pl, bin/level.pl, bin/sprite.pl, bin/vacuum.pl,
	  data/Makefile.am, data/bomb.wav, data/bomber.png, data/enemy.png,
	  data/laser.wav: Created new area boss: Bomber

2009-03-06 19:19  upi

	* bin/game.pl, bin/gameobject.pl, bin/recorder.pl, bin/sprite.pl,
	  data/bonus.png: Created new bonus item: "Bullet Time".
	  It slows down the time for enemies, and fades the screen a
	  little.

2009-03-06 19:16  upi

	* bin/boss.pl: Gravity boss: Invincible players are no longer
	  immune to gravity.

2009-03-06 19:15  upi

	* bin/background.pl: Bugfix for mountain background skipping
	  effect.

2009-03-05 22:57  upi

	* bin/gameobject.pl, bin/graphics.pl, bin/sprite.pl,
	  data/swirl.png: Added swirl effect when player is slurping a
	  poisonous enemy.

2009-03-05 22:23  upi

	* bin/vacuum.pl: Bumped version number

2009-03-05 22:22  upi

	* bin/boss.pl: Code cleanup.

2009-03-05 22:12  upi

	* bin/gameobject.pl: Added small particle effect SpitParticles.

2009-03-05 22:11  upi

	* AUTHORS: Updated AUTHORS with graphics from Pingus and Neverball.

2009-02-22 00:52  upi

	* bin/Texture.pm, bin/background.pl, bin/graphics.pl,
	  data/Makefile.am, data/bg5_sky.jpg, data/stars1.png,
	  data/stars2.png, data/stars3.png, data/stars4.png: New and cooler
	  sky for background #3.

2009-02-21 19:44  upi

	* bin/gameobject.pl, bin/spawner.pl: Special effect for the ice
	  darts.

2009-02-21 18:28  upi

	* bin/gameobject.pl, bin/spawner.pl, bin/sprite.pl, data/enemy.png:
	  Created "bomb" enemy.

2009-02-21 13:22  upi

	* bin/menu.pl: Dancing, glowing logo.

2009-02-19 09:26  upi

	* bin/gameobject.pl: The player can hold fire key to prolong slurp
	  time before spitting.

2009-02-19 09:25  upi

	* bin/recorder.pl: The "saved flights" menu now displays the
	  difficulty level of saved flights.

2009-02-19 09:25  upi

	* bin/boss.pl: "Shooting Range" boss now correctly adds bonus time
	  between waves.

2009-02-16 07:15  upi

	* bin/gameobject.pl, bin/spawner.pl, bin/sprite.pl, bin/vacuum.pl,
	  data/enemy.png: Created new enemies: icedart and spider.

2009-02-08 14:59  upi

	* data/Makefile.am: Ooops, lava.png missing from data/Makefile.am

2009-02-08 11:33  upi

	* bin/gameobject.pl, bin/sprite.pl, bin/vacuum.pl, data/enemy.png:
	  New special effect for the SeekerBot.

2009-02-08 10:47  upi

	* bin/boss.pl, bin/gameobject.pl, bin/sprite.pl: Created special
	  effect for HorrorMoon death

2009-02-08 10:46  upi

	* configure.in: Bumped version number to 0.9

2009-02-07 21:37  upi

	* AUTHORS: Updated AUTHORS with wiki translators.

2009-02-07 18:54  upi

	* data/demo.txt: Updated demo for 0.9

2009-02-07 18:11  upi

	* bin/translate.pl: Added windows strings for new languages.

2009-02-07 18:02  upi

	* bin/boss.pl, bin/level.pl, bin/menu.pl, bin/translate_eo.pl,
	  bin/translate_es.pl, bin/translate_fi.pl, bin/translate_fr.pl,
	  bin/translate_hu.pl, bin/translate_pl.pl, bin/translate_pt.pl,
	  bin/translate_sk.pl, bin/vacuum.pl: Created "Pang Zero" minigame.

2009-02-07 16:56  upi

	* bin/translate_es.pl, bin/translate_fi.pl, bin/translate_pt.pl:
	  Updated translations from wiki.

2009-02-07 16:52  upi

	* bin/translate_es.pl, bin/translate_fi.pl, bin/translate_pt.pl:
	  New translation files from wiki.

2009-02-07 16:51  upi

	* bin/translate_eo.pl, bin/translate_fr.pl, bin/translate_hu.pl,
	  bin/translate_pl.pl, bin/translate_sk.pl: Update translation
	  files from sources.

2009-02-07 16:36  upi

	* bin/umtrans.pl: Make translation more streamlined by preservind
	  the original header.

2009-02-07 16:01  upi

	* bin/gameobject.pl: Fixed the *very* *annoying* "ball
	  double-deleted" bug.

2009-02-07 15:37  upi

	* bin/gameobject.pl: Extra Spit Power kicks the player back.
	  Spitting stops when EnforceBounds kicks in.

2009-02-07 13:23  upi

	* bin/background.pl, bin/graphics.pl, data/Makefile.am,
	  data/cavern1.png, data/cavern2.png: Created "Cavern" background.

2009-02-07 09:36  upi

	* bin/boss.pl, bin/level.pl: Created ShootingRange trial area.

2009-02-07 07:18  upi

	* bin/Texture.pm: OpenGL TextureID's are now reused.

2009-02-07 07:13  upi

	* bin/GlFont.pm, bin/menu.pl: Strecthy effect for the menu.

2009-02-06 07:15  upi

	* data/circles.png: circles.png added to the project.

2009-02-06 07:14  upi

	* bin/graphics.pl, data/Makefile.am: circles.png added to the
	  project.

2009-02-06 07:12  upi

	* bin/sound.pl: Eliminated the "music cache" feature (caused
	  problems with Windows SDL::Mixer).

2009-02-06 06:50  upi

	* bin/boss.pl, bin/game.pl, bin/gameobject.pl, bin/level.pl,
	  bin/player.pl, bin/recorder.pl, bin/vacuum.pl: Some long-overdue
	  refactoring:
	  * &GameObject::SetOnDeleted added (arbitrary callback on object
	  deletion).
	  * $Asteroid::Boss variable eliminated.
	  * BatsNest package simplified.
	  * Some GameObjects now take a hash instead of a parameter list.
	  * Global objects in gameobjects.pl are now listed as our()
	  instead of explicit package name.
	  * Ball and SafeBall packages are swapped in the class hierarchy.

2009-02-03 21:45  upi

	* bin/vacuum.pl: Some ideas...

2009-02-01 12:18  upi

	* bin/background.pl, bin/graphics.pl, data/Makefile.am,
	  data/starfield.png: Replaced second background with free graphics
	  from Pingus.

2009-01-26 07:01  upi

	* bin/GlFont.pm, bin/Texture.pm, bin/background.pl,
	  bin/graphics.pl: Added lazy loading/unloading of textures from
	  texture buffer.

2009-01-25 10:28  upi

	* bin/movie.pl, bin/vacuum.pl: A little more source documentation.

2009-01-25 10:15  upi

	* bin/boss.pl, bin/graphics.pl, data/lava.png: Gravity boss now has
	  a nice Lava effect, better GravityPulledBall implementation.

2009-01-25 08:20  upi

	* bin/background.pl, bin/graphics.pl, data/Makefile.am,
	  data/artic1.png, data/artic2.png, data/artic3.png,
	  data/artic4.png, data/artic5.png: Created "Artic" background from
	  Pingus graphics.

2009-01-25 08:20  upi

	* AUTHORS, configure.in: Bumped version to 0.8

2009-01-23 19:43  upi

	* AUTHORS: Added translators.

2009-01-23 19:41  upi

	* .: win32 svnignored

2009-01-23 19:38  upi

	* data/demo.txt: Created demo for 0.8 release

2009-01-23 19:36  upi

	* bin/background.pl, bin/event.pl, bin/gameobject.pl,
	  bin/graphics.pl, bin/translate.pl, bin/translate_hu.pl,
	  bin/vacuum.pl: Copyright update

2009-01-22 20:44  upi

	* bin/gameobject.pl: Asteroids are no longer destroyed by
	  invincible (flashing) players.

2009-01-22 20:32  upi

	* bin/translate_pl.pl: Updated Polish translation.

2009-01-22 20:15  upi

	* bin/GlFont.pm: GlFont uses glCallLists under Microsoft Windows.
	  Bugfix for glCallLists on all architectures.

2009-01-22 20:15  upi

	* bin/background.pl, bin/graphics.pl: World is not ready for the
	  circular background yet.

2009-01-22 17:14  upi

	* bin/translate.pl: Windows language codes added for translations.

2009-01-22 08:19  upi

	* bin/vacuum.pl: Localization bugfixes.

2009-01-22 08:18  upi

	* bin/Texture.pm: Added DisableAntialiasing method to Texture.

2009-01-22 08:17  upi

	* bin/background.pl, bin/graphics.pl: Created a swirly background
	  that I will never use.

2009-01-22 08:17  upi

	* bin/boss.pl: Removed some diagnostic warn's

2009-01-22 08:17  upi

	* bin/gameobject.pl, bin/spawner.pl: PangGuys can now walk left
	  too.

2009-01-19 08:56  upi

	* bin/translate_eo.pl, bin/translate_fr.pl, bin/translate_hu.pl,
	  bin/translate_pl.pl, bin/translate_sk.pl, bin/umtrans.pl:
	  Localization updates.

2009-01-19 08:02  upi

	* bin/Makefile.am, bin/translate_eo.pl, bin/translate_pl.pl,
	  bin/translate_sk.pl: Added translations from internet
	  submissions.

2009-01-18 21:06  upi

	* bin/translate_fr.pl: Added French translation.

2009-01-18 20:53  upi

	* bin/menu.pl: A little tweak for the mini-games menu.

2009-01-18 20:52  upi

	* bin/config.pl, bin/translate.pl, bin/vacuum.pl: User can now set
	  the language in the config file.

2009-01-18 20:06  upi

	* bin/boss.pl, bin/game.pl, bin/gameobject.pl, bin/level.pl,
	  bin/recorder.pl, bin/spawner.pl: Created Pang Zero area trial
	  level.

2009-01-18 17:13  upi

	* bin/level.pl: Small refactoring.

2009-01-18 15:06  upi

	* bin/boss.pl: Spat GravityPulledBalls are no longer superfast.

2009-01-18 15:05  upi

	* bin/gameobject.pl: PangBalls now spawn smaller balls upon death.

2009-01-18 13:48  upi

	* bin/boss.pl, bin/gameobject.pl, bin/level.pl, bin/sprite.pl,
	  bin/vacuum.pl, data/enemy.png: Created new enemy: PangBall.

2008-11-24 16:15  upi

	* bin/recorder.pl: Recorder bugfix: "insane" difficulty games can
	  now be loaded.

2008-11-09 14:51  upi

	* data/demo.txt: New demo for 0.7.

2008-11-09 11:57  upi

	* bin/level.pl: Bugfix: Asteroids minigame ends properly after the
	  last level.

2008-11-09 10:57  upi

	* bin/gameobject.pl, bin/level.pl: Misc. tweaks to the Asteroids
	  level.

2008-11-09 10:52  upi

	* bin/vacuum.pl, configure.in, data/Makefile.am: Bumped version
	  number to 0.7

2008-11-09 10:46  upi

	* bin/boss.pl: RoboWitch pauses a bit after being hit.

2008-11-08 20:03  upi

	* bin/boss.pl, bin/gameobject.pl, bin/level.pl, bin/spawner.pl:
	  Added Asteroids minigame.

2008-11-08 18:30  upi

	* bin/menu.pl: Moved minigames into a separate submenu within the
	  "start game" menu.

2008-10-24 12:01  upi

	* bin/boss.pl, bin/gameobject.pl, bin/graphics.pl, bin/level.pl,
	  bin/spawner.pl, bin/sprite.pl, data/rock.png: Created asteroids
	  level.

2008-10-24 08:55  upi

	* bin/GlFont.pm: Workaround for SDL_perl 1.2.20

2008-10-17 14:01  upi

	* bin/level.pl: Fixed nightmare playback.

2008-10-01 22:02  upi

	* bin/boss.pl, bin/game.pl: Started work on "Koules" boss.

2008-10-01 21:54  upi

	* bin/level.pl: Changed the level set name of Target Practice.

2008-10-01 21:53  upi

	* bin/menu.pl, bin/recorder.pl, bin/translate_hu.pl, bin/vacuum.pl:
	  Minor fixes and translations for the difficulty settings.

2008-10-01 21:50  upi

	* bin/boss.pl, bin/config.pl, bin/gameobject.pl, bin/level.pl,
	  bin/menu.pl, bin/recorder.pl, bin/vacuum.pl: Created 4 difficulty
	  settings ("hard" is same as the one setting before).

2008-10-01 21:45  upi

	* configure.in, data/enemy.png: Created Target Practice level.

2008-10-01 21:45  upi

	* bin/game.pl, bin/gameobject.pl, bin/level.pl, bin/menu.pl,
	  bin/sprite.pl: Created Target Practice level.

2008-10-01 21:44  upi

	* bin/movie.pl: CRLF -> CR

2008-10-01 21:42  upi

	* bin/recorder.pl: Bugfix for home directories that have special
	  characters.

2008-09-30 18:56  upi

	* bin/background.pl, bin/boss.pl, bin/game.pl, bin/gameobject.pl,
	  bin/level.pl, bin/recorder.pl, bin/vacuum.pl: Switched from using
	  %Guys and %Slurps to @Guys and @Slurps.
	  This bugfix is needed for consistency during playback.

2008-09-30 17:42  upi

	* bin/recorder.pl: Minor bugfixes for malformed record files.

2008-09-30 17:42  upi

	* bin/event.pl: Bugfix for joystick fire button release.

2008-09-26 18:33  upi

	* bin/movie.pl: More STDOUT diagnostics while movie creation.

2008-09-26 18:20  upi

	* bin/movie.pl: Added some docs about video creation.

2008-09-26 10:57  upi

	* bin/Makefile.am, bin/config.pl, bin/movie.pl, bin/recorder.pl,
	  bin/vacuum.pl: Added movie mode for creating youtube videos.

2008-09-26 09:56  upi

	* bin/vacuum.pl, data/demo.txt: New demo for version 0.5

2008-09-26 08:24  upi

	* bin/gameobject.pl, bin/menu.pl, bin/spawner.pl, bin/sprite.pl,
	  data/enemy.png: Created new enemy: SeekerBot.

2008-09-26 07:41  upi

	* bin/config.pl, bin/game.pl, bin/level.pl, bin/recorder.pl,
	  bin/sound.pl, bin/vacuum.pl: Switched to symbolic music names in
	  SetMusic(). File names are mapped in sound.pl.
	  Added TimePrecisePlayback for creating game videos.

2008-07-23 14:55  upi

	* bin/gameobject.pl, bin/sprite.pl, data/enemy.png: Added slurping
	  effect.

2008-07-19 05:14  upi

	* bin/gameobject.pl, bin/level.pl, bin/sprite.pl, bin/vacuum.pl,
	  data/enemy.png: Added GhostSwarm enemy.
	  Added Eaten effect.

2008-06-12 08:24  upi

	* bin/gameobject.pl: Nicer visual effect for speed powerup.

2008-06-07 19:01  upi

	* bin/recorder.pl: A fix for a peculiarity in perl 5.6.

2008-06-07 18:22  upi

	* bin/recorder.pl: Fixed a playback bug that happened then $NumGuys
	  wasn't the same as the
	  numguys in a recorded game.

2008-06-06 14:10  upi

	* bin/menu.pl, bin/recorder.pl, data/Makefile.am, data/demo.txt:
	  Play back demo at the start of the game.

2008-06-06 13:52  upi

	* bin/boss.pl, bin/game.pl, bin/recorder.pl: Special projection
	  (UpsideDown boss) now works with recorded games.

2008-06-06 11:07  upi

	* bin/Makefile.am, bin/gameobject.pl, bin/vacuum.pl, configure.in,
	  data/Makefile.am: Update the build system for 0.4

2008-06-06 11:07  upi

	* bin/translate_hu.pl: Updated translation for 0.4

2008-06-06 11:07  upi

	* bin/recorder.pl: Added a missing T().

2008-06-06 08:45  upi

	* bin/gameobject.pl, bin/player.pl, bin/vacuum.pl,
	  data/bonusitem.wav, data/bonuslife.wav, data/superspit.wav: Some
	  more sound effects for the game.

2008-06-06 08:44  upi

	* bin/sound.pl: Added some more diagnostics to sound loading and
	  playback.

2008-06-06 08:03  upi

	* bin/gameobject.pl: BonusText generated texture will no longer be
	  more than 1024 pixels wide.

2008-06-06 07:56  upi

	* bin/menu.pl: Hide menu tooltips during game playback.

2008-06-06 07:55  upi

	* bin/GlFont.pm: Bugfix related to rendering to surface.

2008-06-06 07:54  upi

	* bin/recorder.pl: Fixed some cosmetic issues related to game
	  playback.

2008-06-04 07:28  upi

	* bin/GlFont.pm, bin/Texture.pm, bin/boss.pl, bin/game.pl,
	  bin/gameobject.pl, bin/graphics.pl, bin/level.pl, bin/player.pl,
	  bin/recorder.pl, bin/spawner.pl, bin/sprite.pl, bin/vacuum.pl,
	  data/bonus.png, data/enemy.png: Created BonusText object.
	  Removed DoubleScoreIndicator (replaced by BonusText).
	  Created BonusBox object, spawner for BonusBox.
	  Created BonusItem object.
	  Created BonusItems: Extra Speed, Power Slurp, Large Slurp, Power
	  Spit, Bonus Life and Bonus Score.
	  Created Player object.
	  Bonus life for 500.000 points.
	  Players no longer get bonus lives at each Intermission level.
	  Deleted obsolete spawner microobjects from game.pl
	  GlFont can now render itself onto an SDL::Surface

2008-06-02 11:46  upi

	* AUTHORS, INSTALL, acinclude.m4: Cleanup of standard files.

2008-05-26 06:18  upi

	* bin/background.pl, bin/translate.pl, bin/vacuum.pl,
	  data/bg3_mountain.png: Some minor fixes for 0.3

2008-05-23 12:19  upi

	* configure.in: Bumped version number to 0.3

2008-05-23 10:21  upi

	* data/Makefile.am, data/bg5_ground.png, data/bg5_sky.jpg,
	  data/vacuum.6: Files missing from version 0.3

2008-05-23 09:55  upi

	* bin/Makefile.am, bin/boss.pl, bin/event.pl, bin/game.pl,
	  bin/gameobject.pl, bin/level.pl, bin/menu.pl, bin/recorder.pl,
	  bin/translate.pl, bin/translate_hu.pl, bin/vacuum.pl: Added
	  suport for localization.
	  Added Hungarian translation.

2008-05-22 21:24  upi

	* bin/level.pl, bin/menu.pl: Start the normal game from higher
	  levels.

2008-05-22 20:58  upi

	* bin/recorder.pl: Bugfix related to individual boss games.

2008-05-22 20:57  upi

	* bin/menu.pl: Game now remembers the user's last choices in the
	  Game menu.

2008-05-22 20:13  upi

	* bin/boss.pl, bin/level.pl, bin/menu.pl, bin/vacuum.pl: Created
	  BossRegistry.
	  User can now select a specific boss level from the Start Game
	  menu.

2008-05-22 18:34  upi

	* bin/background.pl, bin/graphics.pl: New "Mars" background.

2008-05-22 18:34  upi

	* bin/level.pl: More time for boss levels.

2008-05-22 17:35  upi

	* bin/boss.pl, bin/config.pl, bin/game.pl, bin/level.pl,
	  bin/sprite.pl, bin/vacuum.pl, data/enemy.png: Created RoboWitch
	  boss.
	  Added Cheat mode.

2008-05-22 17:26  upi

	* bin/gameobject.pl: Added CompoundCollisions package.

2008-05-22 10:05  upi

	* bin/boss.pl, bin/config.pl, bin/game.pl, bin/gameobject.pl,
	  bin/level.pl, bin/recorder.pl, bin/vacuum.pl, data/Makefile.am:
	  FpsIndicator is now a special object instead of a GameObject.
	  Moved boss names and level difficulties from level.pl to boss.pl
	  Created "Upside Down" area trial.

2008-05-22 09:52  upi

	* bin/Makefile.am: Removed unnecessary build rule.

2008-05-20 16:30  upi

	* bin/game.pl, bin/level.pl, bin/vacuum.pl: All set for release 0.2

2008-05-20 16:07  upi

	* bin/boss.pl, bin/level.pl: Added Bat's Nest area boss.

2008-05-20 16:06  upi

	* bin/vacuum.pl: Fixed a bug related to file order.

2008-05-20 14:58  upi

	* bin/boss.pl, bin/gameobject.pl, bin/level.pl: Some tweaking of
	  the Gravity boss.

2008-05-20 11:55  upi

	* bin/boss.pl, bin/level.pl, bin/sprite.pl: Visual effect for Blue
	  Dragon breath.

2008-05-20 11:30  upi

	* bin/boss.pl, bin/gameobject.pl, bin/level.pl: Added "Gravity
	  Well" area boss.

2008-05-20 11:29  upi

	* bin/vacuum.pl: Bugfix for previous rearrangement of includes.

2008-05-20 06:56  upi

	* VERSION, VERSION.in, bin/Makefile.am, configure.in,
	  data/Makefile.am: Updated automake system for version 0.2

2008-05-20 06:33  upi

	* bin/GlFont.pm, bin/Makefile.am, bin/Texture.pm,
	  bin/background.pl, bin/config.pl, bin/event.pl, bin/game.pl,
	  bin/menu.pl, bin/recorder.pl, bin/sound.pl, bin/vacuum.pl: Added
	  copyright statements to all perl files.

2008-05-20 06:02  upi

	* data/Makefile.am, data/icon.png, data/vacuum.ico: Added program
	  icon.

2008-05-20 06:01  upi

	* bin/level.pl: Added Blue Dragon boss level.

2008-05-20 06:00  upi

	* bin/boss.pl, bin/gameobject.pl, bin/graphics.pl, bin/spawner.pl,
	  bin/sprite.pl, data/bluedragon.png: Created Blue Dragon boss.

2008-05-19 09:20  upi

	* INSTALL, Makefile.am, acinclude.m4, bin/Makefile.am,
	  configure.in, data/Makefile.am, data/music/Makefile.am: Created
	  automake-based "build" system.

2008-05-18 11:55  upi

	* bin/boss.pl: Fine tuning the red dragon.

2008-05-18 08:48  upi

	* bin/boss.pl, bin/gameobject.pl, bin/graphics.pl, bin/level.pl,
	  bin/sprite.pl, data/bossvitality.png: Added CrossWind area boss.

2008-05-17 21:07  upi

	* bin/boss.pl, bin/gameobject.pl, bin/graphics.pl, bin/level.pl,
	  bin/menu.pl, bin/spawner.pl, bin/sprite.pl, data/reddragon.png:
	  Added RedDragon boss.
	  Added Boss-only game.

2008-05-17 10:53  upi

	* bin/boss.pl, bin/gameobject.pl, bin/level.pl, bin/spawner.pl:
	  Added "Trial By Fire" area boss.

2008-05-17 10:52  upi

	* bin/sound.pl, bin/vacuum.pl, data/bossdies.wav, data/bosshit.wav,
	  data/bossspit.wav: Added boss sounds.

2008-05-17 08:35  upi

	* bin/boss.pl, bin/gameobject.pl, bin/level.pl, bin/vacuum.pl:
	  Factored out Boss package from MotherCloud and HorrorMoon.
	  Various fixes related to Bosses.
	  Better balanced scores.

2008-05-17 08:34  upi

	* NEWS, README, VERSION: Updated information files.

2008-05-16 21:32  upi

	* bin/gameobject.pl, bin/level.pl, bin/spawner.pl, bin/sprite.pl:
	  Added HorrorMoon Boss.

2008-05-16 13:10  upi

	* bin/gameobject.pl, bin/level.pl: Added Mother Cloud Level.

2008-05-16 12:31  upi

	* bin/gameobject.pl, bin/spawner.pl, bin/sprite.pl, bin/vacuum.pl:
	  Added Sprite (to ease using textures with GameObjects).
	  Added MotherCloud enemy.

2008-05-16 06:11  upi

	* bin/vacuum.pl: DataDir and BinDir detection based on $0
	  ($PROGRAM_NAME)

2008-05-03 08:13  upi

	* bin/config.pl, bin/vacuum.pl: Added BinDir detection.

2008-02-02 19:32  upi

	* bin/config.pl, bin/event.pl, bin/game.pl, bin/menu.pl,
	  bin/recorder.pl, bin/vacuum.pl: Finished Flight Recorder
	  (saving/loading games).

2008-02-02 19:30  upi

	* bin/gameobject.pl: FlameElementals are less likely to go out the
	  bottom of the screen.

2008-02-01 20:05  upi

	* bin/background.pl, bin/event.pl, bin/game.pl, bin/gameobject.pl,
	  bin/recorder.pl, bin/spawner.pl: Miscellaneous bugfixes.

2008-02-01 14:13  upi

	* bin/vacuum.pl: Removed old demo game.

2008-02-01 14:09  upi

	* bin/event.pl, bin/recorder.pl: Bugfix for very short keypresses
	  (where Event was set but Key was not).

2008-02-01 12:46  upi

	* bin/game.pl, bin/gameobject.pl, bin/level.pl, bin/menu.pl,
	  bin/recorder.pl, bin/sound.pl, bin/vacuum.pl: Improved Recorder.
	  Game played back after the player returns to the main menu.

2008-02-01 02:15  upi

	* bin/game.pl, bin/gameobject.pl, bin/graphics.pl, bin/level.pl,
	  bin/menu.pl, bin/vacuum.pl, data/bonus.png, data/protection.wav:
	  Added SuperBall.

2008-01-27 21:44  upi

	* data/bg2_1.png, data/bg2_2.png, data/music/1352-nomorenoise.mod,
	  data/music/featsofv.xm, data/music/hein_-_sloom.mod,
	  data/music/hyper.mod, data/music/kaos_och_dekadens.mod,
	  data/music/liam_the_lemming_-_chip2.s3m,
	  data/music/lizardking_-_airwolf.mod, data/music/pinball.s3m,
	  data/music/r-light.xm: Added music and graphics previously
	  missing from svn.

2008-01-27 21:41  upi

	* bin/recorder.pl: Poor recorder, I forgot to svn add you..

2008-01-27 21:36  upi

	* bin/level.pl, bin/spawner.pl, bin/vacuum.pl: Added
	  NightmareFlight levels.
	  More spawner types.

2008-01-27 21:35  upi

	* bin/GlFont.pm, bin/preparefont.pl, bin/sound.pl: Minor
	  enhancements.

2008-01-27 19:59  upi

	* bin/Texture.pm, bin/background.pl, bin/graphics.pl,
	  data/bg3_mountain.png, data/bg3_sky.png, data/bg4_nebula.png:
	  Added two new backgrounds.

2008-01-27 19:59  upi

	* bin/spawner.pl: More helper functions.

2008-01-27 19:59  upi

	* bin/sound.pl: Fixed a bug with music being turned on for the
	  first time.

2008-01-27 19:58  upi

	* bin/gameobject.pl, bin/menu.pl: Added "Instructions" menu item.

2008-01-26 23:42  upi

	* bin/gameobject.pl, bin/spawner.pl, data/enemy.png: Added Flame
	  Elemental enemy.

2008-01-26 21:37  upi

	* bin/gameobject.pl, bin/spawner.pl, bin/vacuum.pl, data/enemy.png:
	  Created bouncy moon enemy.

2008-01-26 20:34  upi

	* bin/game.pl, bin/gameobject.pl, bin/level.pl, bin/menu.pl,
	  bin/spawner.pl, bin/vacuum.pl, data/enemy.png: Added FireBat
	  enemy.
	  Added NightmareFlight level set.

2008-01-25 21:03  upi

	* bin/game.pl, bin/sound.pl: Fix for music loading.

2008-01-25 18:49  upi

	* bin/event.pl, bin/game.pl, bin/gameobject.pl, bin/level.pl,
	  bin/menu.pl, bin/vacuum.pl: Initial record/playback game added.

2008-01-24 08:49  upi

	* bin/Texture.pm, bin/gameobject.pl, bin/graphics.pl,
	  bin/spawner.pl, bin/vacuum.pl: Various visual enhancements.
	  Game now keeps track of enemies and vacuumed/shot.

2008-01-24 07:31  upi

	* data/celesfnt.s3m, data/deadlock.xm, data/intermission.ogg,
	  data/jt_strng.xm, data/music, data/music/celesfnt.s3m,
	  data/music/deadlock.xm, data/music/jt_strng.xm: Music moved to
	  the data/music directory.

2008-01-24 07:30  upi

	* data/courier2.png.txt: Narrower space character.

2008-01-23 19:34  upi

	* bin/Texture.pm, bin/background.pl, bin/game.pl,
	  bin/gameobject.pl, bin/graphics.pl, bin/level.pl, bin/menu.pl,
	  bin/sound.pl, bin/spawner.pl, bin/vacuum.pl: Proper levels with
	  spawners.
	  Intermission after 10 levels.
	  Bees and Dougars can be used as projectiles.

2008-01-23 07:43  upi

	* bin/config.pl, bin/vacuum.pl: Separate perl binaries and
	  libraries from own code under Windows.

2008-01-19 10:52  upi

	* bin/level.pl, bin/spawner.pl, bin/vacuum.pl: New prototype
	  Spawner with Roulette mechanism.

2008-01-18 11:53  upi

	* bin/vacuum.pl: Workaround for the blank fullscreen syndrome.

2008-01-16 10:04  upi

	* bin/sound.pl: Fixed sound when the mixer is not available.
	  Fixed music when it is initially off.

2008-01-15 17:36  upi

	* ., AUTHORS, COPYING, NEWS, README, TODO, VERSION, bin,
	  bin/GlFont.pm, bin/Texture.pm, bin/background.pl, bin/config.pl,
	  bin/event.pl, bin/fontmaker.pl, bin/game.pl, bin/gameobject.pl,
	  bin/graphics.pl, bin/level.pl, bin/menu.pl, bin/preparefont.pl,
	  bin/sound.pl, bin/vacuum.pl, data, data/ag2.voc,
	  data/background1.png, data/background2.png, data/background3.png,
	  data/ball.png, data/bonuslife.wav, data/brandybun.png,
	  data/brandybun.png.txt, data/celesfnt.s3m, data/cloud.png,
	  data/comet.wav, data/courier2.png, data/courier2.png.txt,
	  data/deadlock.xm, data/enemy.png, data/enemydeath.wav,
	  data/glossy3.png, data/glossy3.png.txt, data/harpoon.voc,
	  data/harpoonhit.voc, data/jt_strng.xm, data/killed.wav,
	  data/level.wav, data/logo.png, data/particle.png,
	  data/player.png, data/playercollision.wav, data/poison.wav,
	  data/slurp.voc, data/slurp2.png, data/spit.wav, data/time.wav,
	  data/witch.wav: Initial import

